use console::style;
use std::error::Error;

pub fn message_empty(msg: &str) {
    println!(" {}", style(msg).blue());
}

pub fn message_info(msg: &str) {
    let prefix = format!("{}", style("-->"));
    let msg = format!("{} {}", prefix, msg,);
    println!(" {}", style(msg).blue());
}

pub fn message_error(err: Box<dyn Error>) {
    let prefix = format!("{}", style("!->").red());
    let msg = format!("{} {}", prefix, err);
    println!(" {}", style(msg).red());
}
